import request from '../utils/requestMall.js'

/**
 * 获取活动类型列表
 * @param {JSON参数} data 
 */
export function getActivityTypeList(data) {
    return request({
        url: '/AppletEducation/GetActivityTypeList',
        method: 'post',
        data
    })
}

/**
 * 获取活动列表
 * @param {JSON参数} data 
 */
export function getActivityList(data) {
    return request({
        url: '/AppletEducation/GetActivityPageJXH',
        method: 'post',
        data
    })
}
/**
 * 取消报名
 * @param {JSON参数} data 
 */
export function cancelSignUp(data) {
    return request({
        url: '/AppletEducation/CancelCommerceConsultJXH',
        method: 'post',
        data
    })
}

/**
 * 获取详情
 * @param {JSON参数} data 
 */
export function getActivityDatail(data) {
    return request({
        url: '/AppletEducation/GetActivityDetialJXH',
        method: 'post',
        data
    })
}

/**
 * 活动报名
 * @param {JSON参数} data 
 */
export function activitySignUp(data) {
    return request({
        url: '/WeChatPay/SetActivityEnrollInfoJXH',
        method: 'post',
        data
    })
}

/**
 * 获取参加的活动列表
 * @param {JSON参数} data 
 */
export function activityJoinList(data) {
    return request({
        url: '/AppletEducation/GetUserJoinActivityPageListJXH',
        method: 'post',
        data
    })
}


/**
 * 获取意见调查表信息
 * @param {JSON参数} data 
 */
export function querySurveyInfo(data) {
    return request({
        url: '/AppletEducation/GetSurveyShowList',
        method: 'post',
        data
    })
}

/**
 * 新增意见调查
 * @param {JSON参数} data 
 */
export function saveGuestSurvey(data) {
    return request({
        url: '/AppletEducation/SetGuestSurvey',
        method: 'post',
        data
    })
}
